%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %global python_version %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")}

Name:           qpid-tools
Version:        0.18
Release:        10%{?dist}
Summary:        Management and diagnostic tools for Apache Qpid

Group:          Development/Python
License:        ASL 2.0
URL:            http://qpid.apache.org
Source0:        %{name}-%{version}.tar.gz
Patch0:         mrg.patch
Patch1:         mrg-2.3.3-tools.patch
# svn export -r<rev> http://svn.apache.org/repos/asf/qpid/trunk/qpid/tools qpid-tools-0.7.<rev>
# tar czf qpid-tools-0.7.<rev>.tar.gz qpid-tools-0.7.<rev>
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel

Requires:       python-qpid >= 0.18
Requires:       python-qpid-qmf >= 0.18

%description
Management and diagnostic tools for Apache Qpid brokers and clients.

%prep
%setup -q
%patch0 -p3
%patch1 -p3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# remove unneeded file
rm -rf %{buildroot}%{_bindir}/qpid-ha

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}/qpidtoollibs
%{_bindir}/qpid-cluster
%{_bindir}/qpid-cluster-store
%{_bindir}/qpid-config
%{_bindir}/qpid-printevents
%{_bindir}/qpid-queue-stats
%{_bindir}/qpid-route
%{_bindir}/qpid-stat
%{_bindir}/qpid-tool
%{_bindir}/qmf-tool
%doc LICENSE.txt NOTICE.txt

%if "%{python_version}" >= "2.6"
%{python_sitelib}/qpid_tools-*.egg-info
%endif

%changelog
* Tue Jun 4 2013 Mike Cressman <mcressman@redhat.com> - 0.18-10 
- Revert BZ 951296 to undo QMF schema change, default to unlimited credit instead

* Tue May 14 2013 Mike Cressman <mcressman@redhat.com> - 0.18-9
- Errata build
- BZs: 951296,955711

* Tue Feb  5 2013 Irina Boverman <iboverma@redhat.com> - 0.18-8
- Resolves: rhbz895535, rhbz903126

* Tue Nov 20 2012 Irina Boverman <iboverma@redhat.com> - 0.18-7
- Resolves: rhbz864933 (re-fixed)

* Mon Nov 12 2012 Irina Boverman <iboverma@redhat.com> - 0.18-6
- Resolves: rhbz864933

* Wed Nov  7 2012 Irina Boverman <iboverma@redhat.com> - 0.18-5
- Resolves: rhbz864933, rhbz864804

* Thu Nov  1 2012 Irina Boverman <iboverma@redhat.com> - 0.18-4
- Resolves: rhbz865470, 0.18-4

* Wed Oct 24 2012 Irina Boverman <iboverma@redhat.com> - 0.18-3
- Resolves: rhbz865470, 0.18-3

* Sun Oct 14 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2
- 0.18+ rebase, added qpidtoollibs, 0.18-1
- Fixed: Bug 805599, 0.18-2

* Wed Aug 29 2012 Irina Boverman <iboverma@redhat.com> - 0.14-6
- Resolves: BZ707682, BZ841488, BZ85011

* Tue Apr 10 2012 Kenneth A. Giusti <kgiusti@redhat.com> - 0.14-2
- Resolves: BZ758853, BZ806888

* Mon Jun  6 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.10-6
- Resolves: bz711081

* Tue May 17 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.10-5
- Resolves: BZ692134

* Wed Apr 20 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.10-4
- Resolves: bz696974

* Tue Apr 13 2011 Ted Ross <tross@redhat.com> - 0.10-3
- Related: rhbz#693847

* Tue Apr  5 2011 Justin Ross <jross@redhat.com> - 0.10-2
- Resolves: bz692134.

* Tue Mar 22 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.10-1
- resync to upstream.

* Wed Mar  9 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.9.1078967-1
- resync to upstream.

* Tue Feb 22 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.9.1073306-1
- resync to upstream.

* Thu Jan 20 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-12
- Resolves: bz500430, bz667423

* Wed Sep 22 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-11
- Resolves: bz537481, bz636434

* Fri Sep  3 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-10
- Resolves: bz629528

* Fri Aug 20 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-9
- Resolves: bz507586, bz547295

* Mon Aug  2 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-8
- Resolves: bz560696, bz522039, bz619502, bz618418

* Fri Jul  9 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-7
- Resolves: rhbz601895, rhbz611543

* Wed Jun 30 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-6
- Resolves: rhbz547295

* Fri May 21 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-3
- rhbz594537 - require same version of python-qmf
- Related: rhbz574881

* Wed May 19 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-2
- Patch to qpid-tool
- Related: rhbz574881

* Wed May 19 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-1
- Rebased to svn rev 946106
- Related: rhbz574881

* Mon Apr 19 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.934605-2
- Added qpid-cluster-store.

* Mon Apr 19 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.934605-1
- Rebased to svn rev 934605.

* Thu Apr  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.930108-1
- Rebased to svn rev 930108.

* Wed Mar  3 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-4
- Changed defines to globals and moved to top.
- Fixed typo in description.
- Removed unnecessary python Requires/BuildRequires.

* Tue Mar  2 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-3
- Added correct version to python-qpid dependency.

* Mon Mar  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-2
- Conditionalize egg-info based on python version.

* Mon Mar  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-1
- Initial build.
